*** Settings ***
Library     SeleniumLibrary
Library     DatabaseLibrary
Library     XML
Library     os
Library     OperatingSystem
Library     ExcelLibrary
Library     OracleDBLibrary
Library     OracleDB
Library     Collections
Library     CSVLibrary


*** Variables ***
${url}  https://www.google.com/
${sai}
*** Test Cases ***
#Gopi
#    open browser    https://www.google.com/    Chrome
#    Maximize Browser Window
#    Input Text    //*[@id="email"]    gopi1.gorantla@gmail.com
#    Input Password    //input[@id="pass"]    Vanajarao@10
#    Click Button    //button[@name="login"]
#    Sleep    30
#    Close Browser

*** Test Cases ***
DB
    Connect To Database Using Custom Params  cx_Oracle  'INFA_REP','tiger','XE'
    ${duplicate}=  query  select VILLAGE,count(*) from bharagav group by VILLAGE having count(*)>1
    Set Test Variable    ${duplicate}
    log   ${duplicate}







